Create Company Attachment and Upload FileCopy Pagepost https://api.gusto-demo.com/v1/companies/{company_id}/attachmentsUpload a file and create a company attachment. We recommend uploading PDF files for optimal compatibility. However, the following file types are allowed: .qbb, .qbm, .gif, .jpg, .png, .pdf, .xls, .xlsx, .doc and .docx. Related guides Manage company attachments scope: company_attachments:writePath Paramscompany_idstringrequiredThe UUID of the companyBody ParamsdocumentfilerequiredThe binary payload of the file to be uploaded. Supported file types are .qbb, .qbm, .gif, .jpg, .png, .pdf, .xls, .xlsx, .doc and .docx.categorystringenumrequiredThe category of a company attachment. gep_notice: A tax notice attachment compliance: A compliance attachment gep_noticecomplianceAllowed:gep_noticecomplianceHeadersX-Gusto-API-VersionstringenumDefaults to 2026-02-01Determines the date-based API version associated with your API call. If none is provided, your application's minimum API version is used.2026-02-01Allowed:2026-02-01Responses 201Created 404Not Found The requested resource does not exist. Make sure the provided UUID is valid. 422Unprocessable Entity This may happen when the body of your request contains errors such as invalid_attribute_value, or the request fails due to an invalid_operation. See the Errors Categories guide for more details.Updated 6 days ago